dbXML API

## org.dbxml.core.corba.db
Class DocumentSetPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DocumentSetPOA
                  |
                  +--org.dbxml.core.corba.db.DocumentSetPOATie

All Implemented Interfaces:
  DocumentSetOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DocumentSetPOATie
extends DocumentSetPOA

Generated from IDL definition of interface "DocumentSet"

Author:
  JacORB IDL compiler

Constructor Summary
`DocumentSetPOATie(DocumentSetOperations delegate)`
`DocumentSetPOATie(DocumentSetOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`DocumentSetOperations` `_delegate()`
`void` `_delegate(DocumentSetOperations delegate)`
`DocumentSet` `_this()`
`DocumentSet` `_this(org.omg.CORBA.ORB orb)`
`EncodedBuffer` `getNextDocument(long stamp)`
`boolean` `hasMoreDocuments()`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.DocumentSetPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSetPOATie

    public DocumentSetPOATie(DocumentSetOperations delegate)

### DocumentSetPOATie

    public DocumentSetPOATie(DocumentSetOperations delegate,
                             org.omg.PortableServer.POA poa)

Method Detail

### _this

    public DocumentSet _this()

  Overrides:
    `_this` in class `DocumentSetPOA`

### _this

    public DocumentSet _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `DocumentSetPOA`

### _delegate

    public DocumentSetOperations _delegate()

### _delegate

    public void _delegate(DocumentSetOperations delegate)

### getNextDocument

    public EncodedBuffer getNextDocument(long stamp)
                                  throws APIException

### remove

    public void remove()

### hasMoreDocuments

    public boolean hasMoreDocuments()
                             throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved